package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanGroupChatData
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:48:46
 * @Modify
 * @CopyRight 
 */
public class GroupChatDataDTO implements Serializable{

	private static final long serialVersionUID = 21417308241400L;
	
	private Long dataId;
	private String wxEnterpriseId;
	private String staffId;
	private String staffName ;
	/**统计日期*/
	private java.util.Date date;
	/**新增客户群数量*/
	private Integer newChatCnt;
	/**截至当天客户群总数量*/
	private Integer chatTotal;
	/**截至当天有发过消息的客户群数量*/
	private Integer chatHasMsg;
	/**客户群新增群人数*/
	private Integer newMemberCnt;
	/**截至当天客户群总人数*/
	private Integer memberTotal;
	/**截至当天有发过消息的群成员数*/
	private Integer memberHasMsg;
	/**截至当天客户群消息总数*/
	private Integer msgTotal;
	/**截至当天新增迁移群数(仅教培行业返回)*/
	private Integer migrateTraineeChatCnt;
	private java.util.Date createTime;
	
	public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public void setDataId(Long dataId){
		this.dataId = dataId;
	}
	
	public Long getDataId(){
		return dataId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setStaffId(String staffId){
		this.staffId = staffId;
	}
	
	public String getStaffId(){
		return staffId;
	}
	public void setDate(java.util.Date date){
		this.date = date;
	}
	
	public java.util.Date getDate(){
		return date;
	}
	public void setNewChatCnt(Integer newChatCnt){
		this.newChatCnt = newChatCnt;
	}
	
	public Integer getNewChatCnt(){
		return newChatCnt;
	}
	public void setChatTotal(Integer chatTotal){
		this.chatTotal = chatTotal;
	}
	
	public Integer getChatTotal(){
		return chatTotal;
	}
	public void setChatHasMsg(Integer chatHasMsg){
		this.chatHasMsg = chatHasMsg;
	}
	
	public Integer getChatHasMsg(){
		return chatHasMsg;
	}
	public void setNewMemberCnt(Integer newMemberCnt){
		this.newMemberCnt = newMemberCnt;
	}
	
	public Integer getNewMemberCnt(){
		return newMemberCnt;
	}
	public void setMemberTotal(Integer memberTotal){
		this.memberTotal = memberTotal;
	}
	
	public Integer getMemberTotal(){
		return memberTotal;
	}
	public void setMemberHasMsg(Integer memberHasMsg){
		this.memberHasMsg = memberHasMsg;
	}
	
	public Integer getMemberHasMsg(){
		return memberHasMsg;
	}
	public void setMsgTotal(Integer msgTotal){
		this.msgTotal = msgTotal;
	}
	
	public Integer getMsgTotal(){
		return msgTotal;
	}
	public void setMigrateTraineeChatCnt(Integer migrateTraineeChatCnt){
		this.migrateTraineeChatCnt = migrateTraineeChatCnt;
	}
	
	public Integer getMigrateTraineeChatCnt(){
		return migrateTraineeChatCnt;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
}